Subject: BUG: Merge commits are displayed by `--cherry-pick` despite on they introduce same change

From: KES <[email-masked]>
Date: Fri, 08 Jun 2018 18:04:57 +0300

The `--cherry-pick` option states:

>Omit any commit that introduces the same change as another commit on the “other side”

For next git command I see next tree:

    $ git log --graph --decorate --pretty=oneline --abbrev-commit --cherry-mark --boundary --left-right
    
    <   bc2820d (openapi3) Merge branch 'openapi3_exception_handling' into openapi3
    |\
    | = 4e1e0aa Testcase for not_found/exception requests to api
    | = b39673d 'not_found' templates should not be probed automatically. Only when fallback
    | = a8677df Dump empty schemas and non empty data
    | = 27db48f Implemente before_render hook
    |/
    <   aa60f0a Merge branch 'hide_temporal_interface' into openapi3
    |\
    | = 5dd02f2 Mutate current object after update
    | = d58c0ab Install missed modules
    |/
    | >   b8d09ce (xtucha/openapi3) Merge branch 'openapi3_exception_handling' into openapi3
    | |\
    | | = b6362ad Testcase for not_found/exception requests to api
    | | = dc926cc 'not_found' templates should not be probed automatically. Only when fallback
    | | = 55dc88d Dump empty schemas and non empty data
    | | = 8369185 Implemente before_render hook
    | |/
    | >   c03438d Merge branch 'hide_temporal_interface' into openapi3
    | |\
    | | = d534cc4 Mutate current object after update
    | | = 1b6af27 Install modules required by MonkeyMan
    | |/
    | > a3b7230 Clarify schema
    |/
    o f5b06ed Assign some defaults

If I want to see only new commit I add `--left-only` option and get merge commits in output.

    <   bc2820d (openapi3) Merge branch 'openapi3_exception_handling' into 
    <   aa60f0a Merge branch 'hide_temporal_interface' into openapi3

This commits introduce same change as another merge commit on the "other side"
Thus they should not be displayed